Subject: Re: [Az-Geocaching] why did you choose the team name that use you

From: Brian Cluff <[email-masked]>
Date: 11 Sep 2002 15:01:53 -0700

On Tue, 2002-09-10 at 07:58, Chelby Geiss wrote:
> Arizona Sols (del Sol club-www.azsols.com).  We asked people to share 
> something about their favorite sports car when they log the cache!

Maybe I'm pointing out the obvious here, but to someone that just reads
your domain it sounds like you end up with www.assholes.com :)

Brian Cluff
Team Snaptek